%define summary	An X Window System screenshot grabber
%define name	xwpick
%define exec	/usr/X11R6/bin/xwpick
%define section	Amusement/Toys

Name:		%{name}
Summary:	%{summary}

Version:	2.20
Release:	10mdk
Copyright:	MIT
Icon:		%{name}.xpm
Group:		Graphics
BuildRequires: XFree86-devel
Source:		ftp://ftp.x.org/contrib/applications/xwpick-2.20.tar.bz2
Source1:	%{name}_16x16.xpm
Source2:	%{name}_32x32.xpm

Prefix:		%{_prefix}
BuildRoot:	%{_tmppath}/xwpick-root

%description
The xwpick program allows you to choose an image or a rectangular piece
of an image from an X Window System window and then write the image to
a file in a variety of formats, incuding PostScript(TM), GIF, and PICT.

%prep

%setup -q

%build
xmkmf
perl -p -i -e "s|CXXDEBUGFLAGS = .*|CXXDEBUGFLAGS = $RPM_OPT_FLAGS|" Makefile
perl -p -i -e "s|CDEBUGFLAGS = .*|CDEBUGFLAGS = $RPM_OPT_FLAGS|" Makefile 
make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall DESTDIR=$RPM_BUILD_ROOT install.man

# icons
install -m 644 -D  %{SOURCE1}  \
	$RPM_BUILD_ROOT%{_iconsdir}/mini/%{name}.xpm 
install -m 644 -D %{SOURCE2}   \
	$RPM_BUILD_ROOT%{_iconsdir}/%{name}.xpm 

# Menu entry
mkdir -p $RPM_BUILD_ROOT/usr/lib/menu
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(xwpick):\
	command="/usr/X11R6/bin/xwpick"\
	needs="text"\
	icon="xwpick.xpm"\
	section="Multimedia/Graphics"\
	title="Xwpick"\
	longtitle="X Window System screenshot grabber"
EOF

%clean
rm -fr $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root)
/usr/X11R6/bin/xwpick
/usr/X11R6/man/man1/xwpick.1*
%{_menudir}/%{name}
%{_iconsdir}/%{name}.xpm
%{_iconsdir}/mini/%{name}.xpm

%changelog
* Mon Aug 20 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 2.20-10mdk
- fixed typo in menu

* Sat Aug 11 2001 Jesse Kuang <kjx@mandrakesoft.com> 2.20-9mdk
- rebuilt for cooker

* Tue Aug 29 2000 David BAUDENS <baudens@mandrakesoft.com> 2.20-8mdk
- Fix crazy menu entry
- Fix crazy Group
- Fix crazy macros

* Tue Aug 08 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.20-7mdk
- automatically added BuildRequires

* Wed Jul 19 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.20-6mdk
- use new macros
- don't strip : let spechelper do it

* Mon May 15 2000 David BAUDENS <baudens@mandrakesoft.com> 2.20-5mdk
- Fix build for i486
- Use %%{_tmppath} for BuildRoot

* Fri Apr 7 2000 Denis Havlik <denis@mandrakesoft.com> 2.20-4mdk
- group: toys
- menu entry + icons (need beter icons)

* Fri Nov 5 1999 Damien Krotkine <damien@mandrakesoft.com> 2.20-3mdk
- Mandrake release

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 11)

* Fri Dec 20 1998 Bill Nottingham <notting@redhat.com>
- build for 6.0

* Thu Aug 13 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Oct 21 1997 Otto Hammersmith <otto@redhat.com>
- fixed src url

* Fri Aug 22 1997 Erik Troan <ewt@redhat.com>
- built against glibc
